> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bulk job status



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/cases/bulk-jobs/{id}
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/cases/bulk-jobs/{id}:
    get:
      tags:
        - Cases
      summary: Get bulk job status
      operationId: CasesController_getBulkJob
      parameters:
        - name: id
          required: true
          in: path
          description: Bulk job ID
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkJobResponse'
        '404':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    BulkJobResponse:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - case-close
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
        totalCount:
          type: number
        processedCount:
          type: number
        failedCount:
          type: number
        error:
          type: string
        createdAt:
          type: string
        completedAt:
          type: string
      required:
        - id
        - type
        - status
        - totalCount
        - processedCount
        - failedCount
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````